/*
 *	pe_analy.h
 */

/*	Copyright (C) 1999 Sebastian Biallas (sb@web-factory.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef pe_analy_h
#define pe_analy_h

#include "analy.h"
#include "htpe.h"


class pe_analyser: public analyser {
public:
     ht_pe_shared_data 	*pe_shared;
     htfile 			*file;

					pe_analyser(): analyser() {};
          virtual        ~pe_analyser() {};
	void				init(ht_pe_shared_data *Pe_shared, htfile *File);
     void				load(htfile *f);
     void	virtual		done();

     ADDR virtual		branchaddr(char *opcode);
     void virtual		*bufptr(ADDR Addr);
     void	virtual		examineopcode(char *opcode);                 // abstract
	void virtual		init_codeanalyser();
     void virtual		init_unasm();
     tbranchtype virtual	isbranch(char *opcode);
     void virtual		log(char *msg);
     bool virtual		validaddr(ADDR Addr, tsectype action);
};

#endif
