#ifndef __HTCFG_H__
#define __HTCFG_H__

#include "htobj.h"

int read_cfg_file(ht_viewer **viewertable);
void write_cfg_file(ht_viewer **viewertable, int viewer_count);

/*
 *	structures/constants for ht project config file version 1
 */

#define HT_PRJCFG_VERSION 1

struct ht_prjcfg_file_header {
     char magic[8];				/* HTPRJCFG */
     int version;
     int datablocks;
//     int ;
};

#define HT_PRJCFG_DATA_HEADER_ID_VIEWER 1
/*#define HT_PRJCFG_DATA_HEADER_ID_EXTENDED 2*/

/*#define HT_PRJCFG_DATA_HEADER_FLAGS_CRC 1
#define HT_PRJCFG_DATA_HEADER_FLAGS_COMPRESSED 2*/

struct ht_prjcfg_data_header {
	int id;
     int size;
     int flags;
};

#endif /* !__HTCFG_H__ */
