#ifndef __HTPEIMP_H__
#define __HTPEIMP_H__

#include "viewers.h"

extern viewer_int htpeimports_int;

/*
 *	class ht_pe_import_dlibrary
 */

class ht_pe_import_library: public ht_data {
public:
     char *name;

     ht_pe_import_library();
     ht_pe_import_library(char *name);
     ~ht_pe_import_library();
};

/*
 *	class ht_pe_import_function
 */

class ht_pe_import_function: public ht_data {
public:
	int dll;
     int byname;
     union {
	     int ordinal;
          struct {
		     char *name;
     		int hint;
		} name;
	};
     int function_address;

     ht_pe_import_function();
     ht_pe_import_function(int dll, int function_address, int ordinal);
     ht_pe_import_function(int dll, int function_address, char *name, int hint);
     ~ht_pe_import_function();
};

struct ht_pe_import {
     ht_collection funcs;
     ht_collection libs;
};

#endif /* !__HTPEIMP_H__ */
