#ifndef __VIEWERS_H__
#define __VIEWERS_H__

struct viewer_int;

#include "htfile.h"
#include "htobj.h"

struct viewer_int {
     int (*detect)(htfile *file);
     ht_view *(*init)(bounds *b, htfile *file, ht_group *group);
};

extern viewer_int *viewer_ints[];

void insert_int(ht_group *group, htfile *file, viewer_int *i);

#endif /* !__VIEWERS_H__ */
