/*
 *	htanaly.h
 */

/*	Copyright (C) 1999 Sebastian Biallas (sb@web-productions.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef HTANALY_H
#define HTANALY_H

#include "htobj.h"
#include "analy.h"

class hts_analy: public hts_sub {
private:
	analyser		*analy;
     ADDR			lowestaddress, highestaddress, entrypointaddress;
public:
				hts_analy(htfile *file, analyser *A, ADDR Lowestaddress, ADDR Highestaddress, ADDR Entrypointaddress);
	virtual		~hts_analy();
     virtual void	end_line_address(dword *ofs, int *yofs);
	virtual int 	getline(char *line, dword ofs, int yofs);
     virtual void	idle();
     virtual int	next_line_address(dword *ofs, int *yofs, int n);
     virtual int	prev_line_address(dword *ofs, int *yofs, int n);
     virtual void	start_line_address(dword *ofs, int *yofs);
    	virtual int 	jump(ADDR tofs, ADDR *ofs, int *yofs);
};

#endif
