/* 
 *	The HTE Editor
 *	htcfg.cc
 *
 *	Copyright (C) 1999,2000 Stefan Weyergraf (stefan@weyergraf.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "htcfg.h"
#include "htfile.h"
#include "htobj.h"

#include <string.h>

int read_cfg_file(ht_viewer **viewertable)
{
	return 0;
}

void write_cfg_file(ht_viewer **viewertable, int viewer_count)
{
     htfile *cfg=new htrawfile("ht.cfg", "wb");
	ht_prjcfg_file_header fh;
     memmove(fh.magic, "HTPRJCFG", 8);
     fh.version=HT_PRJCFG_VERSION;
     fh.datablocks=viewer_count;
     cfg->write(&fh, sizeof fh);
     putstrl(cfg, "test");
/* write all viewers */
/*     for (int i=0; i<viewer_count; i++) {
          (*viewertable+i)->store(cfg);
	}*/
}

