#ifndef __HTPEDIMP_H__
#define __HTPEDIMP_H__

#include "htdata.h"
#include "viewers.h"

extern viewer_int htpedelayimports_int;

/*
 *	class ht_pe_dimport_dlibrary
 */

class ht_pe_dimport_library: public ht_data {
public:
     char *name;

     ht_pe_dimport_library();
     ht_pe_dimport_library(char *name);
     ~ht_pe_dimport_library();
};

/*
 *	class ht_pe_dimport_function
 */

class ht_pe_dimport_function: public ht_data {
public:
	int dll;
     int byname;
     union {
	     int ordinal;
          struct {
		     char *name;
     		int hint;
		} name;
	};
     int function_address;

     ht_pe_dimport_function();
     ht_pe_dimport_function(int dll, int function_address, int ordinal);
     ht_pe_dimport_function(int dll, int function_address, char *name, int hint);
     ~ht_pe_dimport_function();
};

struct ht_pe_dimport {
     ht_collection funcs;
     ht_collection libs;
};

#endif /* !__HTPEDIMP_H__ */
