#ifndef __HTPEEXP_H__
#define __HTPEEXP_H__

#include "htdata.h"
#include "viewers.h"

extern viewer_int htpeexports_int;

/*
 *	class ht_pe_export_function
 */

class ht_pe_export_function: public ht_data {
public:
     int ordinal;

     int byname;
     char *name;
     int function_address;

     ht_pe_export_function();
     ht_pe_export_function(int function_address, int ordinal);
     ht_pe_export_function(int function_address, int ordinal, char *name);
     ~ht_pe_export_function();
};

struct ht_pe_export {
     ht_collection funcs;
};

#endif /* !__HTPEEXP_H__ */
