#ifndef __MZSTRUCT_H_
#define __MZSTRUCT_H_

#include "global.h"
#include "httools.h"

#define IMAGE_MZ_MAGIC MAGICW("MZ")

struct IMAGE_MZ_HEADER {
	word magic;
	word sizelp;
	word sizep;
	word reloc_count;
	word header_size;
	word minalloc;
	word maxalloc;
	word ss;
	word sp;
	word checksum;
	word ip;
	word cs;
	word reloc_ofs;
	word overlay_num;
	word res[4];
	word oemid;
	word oeminfo;
	word res2[10];
	dword newexe_ofs;
};

#endif /* __MZSTRUCT_H_ */
